edu.ucsb.nceas.metacat.cart

## Class DocumentCart

- java.lang.Object
- - edu.ucsb.nceas.metacat.cart.DocumentCart

-     public class DocumentCart
      extends java.lang.Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DocumentCart()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addDocument(java.lang.String docid, java.util.Map fields)`
    `void` | `addField(java.lang.String label, java.lang.String path)`
    `void` | `addFields(java.util.Map f)`
    `void` | `clear()`
    `void` | `clearFields()`
    `java.lang.String[]` | `getDocids()`
    `java.util.Map` | `getFields()`
    `java.util.Map` | `getFields(java.lang.String docid)`
    `java.lang.String[]` | `getLabels()`
    `java.lang.String[]` | `getPaths()`
    `void` | `removeDocument(java.lang.String docid)`
    `void` | `removeField(java.lang.String label)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DocumentCart

          public DocumentCart()

  - ### Method Detail

    - #### addDocument

          public void addDocument(java.lang.String docid,
                                  java.util.Map fields)

    - #### removeDocument

          public void removeDocument(java.lang.String docid)

    - #### getFields

          public java.util.Map getFields(java.lang.String docid)

    - #### getDocids

          public java.lang.String[] getDocids()

    - #### clear

          public void clear()

    - #### addField

          public void addField(java.lang.String label,
                               java.lang.String path)

    - #### removeField

          public void removeField(java.lang.String label)

    - #### clearFields

          public void clearFields()

    - #### getFields

          public java.util.Map getFields()

    - #### addFields

          public void addFields(java.util.Map f)

    - #### getLabels

          public java.lang.String[] getLabels()

    - #### getPaths

          public java.lang.String[] getPaths()

Copyright © 2023 Regents of the University of California. All Rights Reserved.